﻿using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Linq;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;
using CoffeeRules;
using WorkflowSimulator;

namespace CoffeeRulesStateMachineWorkflow
{
    [WorkflowSimulationUI(LocalServiceType = "Default", UserInterfaceType = "CoffeeRulesUI.CoffeeRulesPanel, CoffeeRulesUI")]
    public sealed partial class CoffeeRulesStateMachineWorkflow : StateMachineWorkflowActivity
    {
        public CoffeeSelection Selection
        {
            get { return (CoffeeSelection)GetValue(SelectionProperty); }
            set { SetValue(SelectionProperty, value); }
        }

        public static readonly DependencyProperty SelectionProperty =
            DependencyProperty.Register("Selection", typeof(CoffeeSelection), typeof(CoffeeRulesStateMachineWorkflow));

        public CoffeeRulesStateMachineWorkflow()
        {
            InitializeComponent();
        }
    }
}
