﻿using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Linq;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;
using WorkflowSimulator;

namespace JobReqStateMachine
{
    [WorkflowSimulationUI(LocalServiceType = "JobReqLocalService.SubmitJobReqReviewService, JobReqLocalService", UserInterfaceType = "JobReqUI.JobReqReviewPanel, JobReqUI")]
    public sealed partial class JobReqStateMachine : StateMachineWorkflowActivity
    {
        public JobReqStateMachine()
        {
            InitializeComponent();
        }

        public String JobCode
        {
            get;
            set;
        }

        public String JobDescription
        {
            get;
            set;
        }

        public string PayGrade
        {
            get;
            set;
        }

        public string RequestedBy
        {
            get;
            set;
        }

        public string CurrentStatus
        {
            get;
            set;
        }

        public string AssignedTo
        {
            get;
            set;
        }

    }

}
