﻿using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Linq;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;

namespace SimpleWorkflows.SampleActivities
{
	public partial class SetStatusActivity: Activity
	{

        public static readonly DependencyProperty NewStatusProperty =
            DependencyProperty.Register("NewStatus", typeof(string), typeof(SetStatusActivity));

        public string NewStatus
        {
            get { return (string)GetValue(NewStatusProperty); }
            set { SetValue(NewStatusProperty, value); }
        }

        public static readonly DependencyProperty StatusValueToSetProperty =
            DependencyProperty.Register("StatusValueToSet", typeof(string), typeof(SetStatusActivity));

        public string StatusValueToSet
        {
            get { return (string)GetValue(StatusValueToSetProperty); }
            set { SetValue(StatusValueToSetProperty, value); }
        }

		public SetStatusActivity()
		{
			InitializeComponent();
		}

        protected override ActivityExecutionStatus Execute(ActivityExecutionContext executionContext)
        {
            StatusValueToSet = NewStatus;

            return ActivityExecutionStatus.Closed;
        }
	}
}
