﻿using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Linq;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;

namespace SchedulingAssistant
{
    public partial class SetFreeBusyResultFault : System.Workflow.ComponentModel.Activity
    {

        public Exception Fault
        {
            get { return (Exception)GetValue(FaultProperty); }
            set { SetValue(FaultProperty, value); }
        }

        public static readonly DependencyProperty FaultProperty =
            DependencyProperty.Register("Fault", typeof(Exception), typeof(SetFreeBusyResultFault));


        public FreeBusyResults FreeBusyResults
        {
            get { return (FreeBusyResults)GetValue(FreeBusyResultsProperty); }
            set { SetValue(FreeBusyResultsProperty, value); }
        }

        public static readonly DependencyProperty FreeBusyResultsProperty =
            DependencyProperty.Register("FreeBusyResults", typeof(FreeBusyResults), typeof(SetFreeBusyResultFault));

        public SetFreeBusyResultFault()
        {
            InitializeComponent();
        }

        protected override ActivityExecutionStatus Execute(ActivityExecutionContext executionContext)
        {
            FreeBusyResults = new FreeBusyResults()
            {
                Fault = this.Fault
            };

            return ActivityExecutionStatus.Closed;
        }
    }
}
