﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WorkflowSimulator
{
    /// <summary>
    /// Interaction logic for RunWorkflowUI.xaml, 
    /// which provides a simple UI that can execute
    /// a loaded workflow when the user presses a button.
    /// </summary>
    public partial class RunWorkflowUI : UserControl, WorkflowSimulator.IWorkflowUI
    {
        public WorkflowDiagram WorkflowDiagram
        {
            get;
            set;
        }

        public RunWorkflowUI()
        {
            InitializeComponent();
        }

        private void btnRunSimulation_Click(object sender, RoutedEventArgs e)
        {
            WorkflowDiagram.RunWorkflow();
        }
    }
}
