﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Workflow.Activities;

namespace BugWorkflow
{
    [Serializable]
    public class BugReportEventArgs: ExternalDataEventArgs
    {
        public BugReport BugReport { get; set; }

        public BugReportEventArgs(BugReport bugReport, Guid instanceId) : base(instanceId)
        {
            this.BugReport = bugReport;
        }
    }
}
