﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BugWorkflow
{
    public class BugWorkflowService: IBugWorkflow 
    {
        public event EventHandler<BugReportEventArgs> Submit;
        public void OnSubmit(BugReportEventArgs report)
        {
            if (Submit != null)
            {
                Submit(null, report);
            }
        }

        public event EventHandler<BugReportEventArgs> Approve;
        public void OnApprove(BugReportEventArgs report)
        {
            if (Approve != null)
            {
                Approve(null, report);
            }
        }

        public event EventHandler<BugReportEventArgs> Return;
        public void OnReturn(BugReportEventArgs report)
        {
            if (Return != null)
            {
                Return(null, report);
            }
        }

        public event EventHandler<BugReportEventArgs> Close;
        public void OnClose(BugReportEventArgs report)
        {
            if (Close != null)
            {
                Close(null, report);
            }
        }

        public event EventHandler<BugReportEventArgs> BugReportAssigned;
        public void AssignBugReport(BugReportEventArgs report)
        {
            if (BugReportAssigned != null)
            {
                BugReportAssigned(null, report);
            }

        }
    }
}
