﻿using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Linq;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;
using WorkflowSimulator;

namespace BugWorkflow
{
    [WorkflowSimulationUI(LocalServiceType = "BugWorkflow.BugWorkflowService, BugWorkflowLocalService", UserInterfaceType = "BugWorkflow.BugReviewPanel, BugWorkflowUI")]
    public sealed partial class BugWorkflowStateMachine : StateMachineWorkflowActivity
    {
        public BugReport BugReport
        {
            get { return (BugReport)GetValue(BugReportProperty); }
            set { SetValue(BugReportProperty, value); }
        }

        public static readonly DependencyProperty BugReportProperty =
            DependencyProperty.Register("BugReport", typeof(BugReport), typeof(BugWorkflowStateMachine));

        public BugWorkflowStateMachine()
        {
            InitializeComponent();
        }
    }

}
