﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace CoffeeRulesActivity
{
    public class CoffeeInventoryService
    {
        public static string SuggestType(string currentType)
        {
            string suggestedType = "unavailable";

            switch (currentType)
            {
                case "arabian mocha":
                    suggestedType = "sumatra";
                    break;
                case "sumatra":
                    suggestedType = "italian";
                    break;
                case "italian":
                    suggestedType = "unavailable";
                    break;
                case "any":
                    suggestedType = "arabian mocha";
                    break;
            }

            return suggestedType;
        }

        public static bool IsInvalidSize(string type, int size)
        {
            bool isInvalidSize = true;

            switch (type)
            {
                case "arabian mocha":
                    isInvalidSize = size != 16;
                    break;
                case "sumatra":
                    isInvalidSize = false;
                    break;
                case "italian":
                    isInvalidSize = size == 8;
                    break;
            }

            return isInvalidSize;
        }

        public static bool IsNotAvailableInDecaf(string type)
        {
            bool isNotAvailableInDecaf = true;

            switch (type)
            {
                case "arabian mocha":
                    isNotAvailableInDecaf = false;
                    break;
                case "sumatra":
                    isNotAvailableInDecaf = true;
                    break;
                case "italian":
                    isNotAvailableInDecaf = false;
                    break;
            }

            return isNotAvailableInDecaf;
        }
    }
}
