﻿using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Linq;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;

namespace Crm
{
    public partial class TrackData : System.Workflow.ComponentModel.Activity
    {
        public string UserDataKey
        {
            get { return (string)GetValue(UserDataKeyProperty); }
            set { SetValue(UserDataKeyProperty, value); }
        }

        public static readonly DependencyProperty UserDataKeyProperty =
            DependencyProperty.Register("UserDataKey", typeof(string), typeof(TrackData));


        public string UserDataValue
        {
            get { return (string)GetValue(UserDataValueProperty); }
            set { SetValue(UserDataValueProperty, value); }
        }

        public static readonly DependencyProperty UserDataValueProperty =
            DependencyProperty.Register("UserDataValue", typeof(string), typeof(TrackData));

        public TrackData()
        {
            InitializeComponent();
        }

        protected override ActivityExecutionStatus Execute(ActivityExecutionContext executionContext)
        {
            executionContext.TrackData(this.UserDataKey, this.UserDataValue);

            return ActivityExecutionStatus.Closed;
        }
    }
}
