﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Workflow.Activities;

namespace JobReqLocalService
{
    [ExternalDataExchange]
	public interface ISubmitJobReqReview
	{
        event EventHandler<ReviewData> SubmitJobReqReview;
	}

    [Serializable]
    public class ReviewData: ExternalDataEventArgs
    {
        string _status;

        public string Status
        {
            get { return _status; }
            set { _status = value; }
        }

        public ReviewData(string reviewStatus, Guid instanceId) : base(instanceId)
        {
            _status = reviewStatus;
        }
    }
}
