﻿using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Linq;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;

namespace SimpleWorkflows.SampleActivities
{
	public partial class AssignToActivity: Activity
	{
		public AssignToActivity()
		{
			InitializeComponent();
		}

        public static readonly DependencyProperty UserToAssignToProperty =
            DependencyProperty.Register("UserToAssignTo", typeof(string), typeof(AssignToActivity));

        public string UserToAssignTo
        {
            get
            {
                return (string)GetValue(UserToAssignToProperty);
            }
            set
            {
                SetValue(UserToAssignToProperty, value);
            }
        }

        public static readonly DependencyProperty UserValueToSetProperty =
            DependencyProperty.Register("UserValueToSet", typeof(string), typeof(AssignToActivity));
        
        public string UserValueToSet
        {
            get
            {
                return (string)GetValue(UserValueToSetProperty);
            }
            set
            {
                SetValue(UserValueToSetProperty, value);
            }
        }

        protected override ActivityExecutionStatus Execute(ActivityExecutionContext executionContext)
        {

            this.UserValueToSet = this.UserToAssignTo;
 
            return ActivityExecutionStatus.Closed; 
        }
	}
}
